implicit real*8(a-h, o-z)
dimension x(100)
read(*,*) n
goukei=0.d0
goukei2=0.d0
do i=1,n
read(*,*) x(i)
goukei=goukei+x(i)
goukei2=goukei2+x(i)**2
end do
heikin=goukei/n
bunsan=goukei2/n-heikin**2
hensa=sqrt(bunsan)
!
read(*,*) tensuu
hensati=10.d0*(tensuu-heikin)/hensa+50.d0
print*,'平均点：',heikin
print*,'標準偏差：',hensa
print*,'偏差値：',hensati
end
